Package ru.bitel.bgbilling.kernel.contract.param.common.bean

# Class MultiListParamValues

java.lang.Object
ru.bitel.bgbilling.kernel.contract.param.common.bean.MultiListParamValues

All Implemented Interfaces:
  `Iterable<ListParamValue>`

@Deprecated public class MultiListParamValues extends Object implements Iterable<ListParamValue>
Deprecated.
use `EntityAttrMultiList` and `ContractService.contractParameterGet(int, int)` or `ContractDao.getContractParameter(int, int)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiListParamValues()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(ListParamValue value)`
  Deprecated.
  `String`
  `getCustomValue()`
  Deprecated.
  `String`
  `getIdValue()`
  Deprecated.
  `String`
  `getValue()`
  Deprecated.
  `Iterator<ListParamValue>`
  `iterator()`
  Deprecated.
  `void`
  `parseCustomValue(String customValue)`
  Deprecated.
  `void`
  `parseTitleValue(String value)`
  Deprecated.
  `void`
  `parseValue(String value)`
  Deprecated.
  `int`
  `size()`
  Deprecated.
  `String`
  `toString()`
  Deprecated.
  `String`
  `toStringValue()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### MultiListParamValues

    public MultiListParamValues()
    Deprecated.

- ## Method Details

  - ### parseCustomValue

    public void parseCustomValue(String customValue)
    Deprecated.

  - ### parseValue

    public void parseValue(String value)
    Deprecated.

  - ### parseTitleValue

    public void parseTitleValue(String value)
    Deprecated.

  - ### getCustomValue

    public String getCustomValue()
    Deprecated.

  - ### getIdValue

    public String getIdValue()
    Deprecated.

  - ### getValue

    public String getValue()
    Deprecated.

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### toStringValue

    public String toStringValue()
    Deprecated.

  - ### iterator

    public Iterator<ListParamValue> iterator()
    Deprecated.
    Specified by:
      `iterator` in interface `Iterable<ListParamValue>`

  - ### add

    public void add(ListParamValue value)
    Deprecated.

  - ### size

    public int size()
    Deprecated.